"""shop_location rates and hours

Revision ID: ddfbd6d96915
Revises: cc6211ec360e
Create Date: 2024-06-08 11:38:38.812584

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ddfbd6d96915'
down_revision = 'cc6211ec360e'
branch_labels = None
depends_on = None

from make_post_sell.models.meta import UUIDType


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('mps_shop_location', sa.Column('local_pickup', sa.Boolean(), nullable=False, server_default=sa.false()))
    op.add_column('mps_shop_location', sa.Column('local_delivery', sa.Boolean(), nullable=False, server_default=sa.false()))
    op.add_column('mps_shop_location', sa.Column('local_shipping', sa.Boolean(), nullable=False, server_default=sa.false()))
    op.add_column('mps_shop_location', sa.Column('international_shipping', sa.Boolean(), nullable=False, server_default=sa.false()))
    op.add_column('mps_shop_location', sa.Column('local_delivery_rate_in_cents', sa.BigInteger(), nullable=True))
    op.add_column('mps_shop_location', sa.Column('local_shipping_rate_in_cents', sa.BigInteger(), nullable=True))
    op.add_column('mps_shop_location', sa.Column('international_shipping_rate_in_cents', sa.BigInteger(), nullable=True))
    op.add_column('mps_shop_location', sa.Column('days_open', sa.Unicode(length=64), nullable=True))
    op.add_column('mps_shop_location', sa.Column('hours_open', sa.Unicode(length=64), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('mps_shop_location', 'hours_open')
    op.drop_column('mps_shop_location', 'days_open')
    op.drop_column('mps_shop_location', 'international_shipping_rate_in_cents')
    op.drop_column('mps_shop_location', 'local_shipping_rate_in_cents')
    op.drop_column('mps_shop_location', 'local_delivery_rate_in_cents')
    op.drop_column('mps_shop_location', 'international_shipping')
    op.drop_column('mps_shop_location', 'local_shipping')
    op.drop_column('mps_shop_location', 'local_delivery')
    op.drop_column('mps_shop_location', 'local_pickup')
    # ### end Alembic commands ###
